import Vue from 'vue';
import VueRouter from 'vue-router';

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'index',
    meta: { title: '班级列表', isleftarrow: false },
    component: () => import('../views/index.vue'),
  },
  // 班级首页
  {
    path: '/home/index',
    name: 'home_index',
    meta: { title: '班级首页', isleftarrow: true },
    component: () => import('../views/home/index.vue'),
  },
  // 班级名单
  {
    path: '/class/index',
    name: 'class_index',
    meta: { title: '班级名单', isleftarrow: true },
    component: () => import('../views/class/index.vue'),
  },
  // 调查问卷
  {
    path: '/question/index',
    name: 'question_index',
    meta: { title: '调查问卷', isleftarrow: true },
    component: () => import('../views/question/index.vue'),
  },
  // 个人中心
  {
    path: '/user/index',
    name: 'user_index',
    meta: { title: '个人中心', isleftarrow: true },
    component: () => import('../views/user/index.vue'),
  },
];

const router = new VueRouter({
  routes,
});

export default router;
